Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.common.service.impl
Class HibernateLoggingService

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.jaspersoft.jasperserver.api.engine.common.service.impl.HibernateLoggingService

All Implemented Interfaces:
  LoggingService, org.springframework.beans.factory.InitializingBean

    public class HibernateLoggingService

extends org.springframework.orm.hibernate3.support.HibernateDaoSupport
implements LoggingService

Version:
  $Id: HibernateLoggingService.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`HibernateLoggingService()`

Method Summary
`protected LogEvent` | `createLogEvent()`
`void` | `delete(ExecutionContext context, long[] eventIds)`
`LogEvent` | `getLogEvent(ExecutionContext context, long id)`
`int` | `getMaximumAge()` Get the maximum event age in days.
`SecurityContextProvider` | `getSecurityContextProvider()`
`java.util.List` | `getUnreadEvents(ExecutionContext context)`
`java.util.List` | `getUserEvents(ExecutionContext context)`
`int` | `getUserEventsCount(ExecutionContext context)`
`LogEvent` | `instantiateLogEvent()`
`void` | `log(LogEvent event)`
`protected void` | `prepareForSave(LogEvent event)`
`void` | `purge()` Purges events that surpassed the `maximum age`.
`void` | `setMaximumAge(int days)` Set the maximum event age in days.
`void` | `setSecurityContextProvider(SecurityContextProvider securityContextProvider)`
`void` | `update(LogEvent event)`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateLoggingService

    public HibernateLoggingService()

Method Detail

### getSecurityContextProvider

    public SecurityContextProvider getSecurityContextProvider()

### setSecurityContextProvider

    public void setSecurityContextProvider(SecurityContextProvider securityContextProvider)

### getMaximumAge

    public int getMaximumAge()

  Description copied from interface: `LoggingService`
  Get the maximum event age in days.

  Specified by:
    `getMaximumAge` in interface `LoggingService`
  Returns:
    the maximum event age in days
  See Also:
    `LoggingService.setMaximumAge(int)`

### setMaximumAge

    public void setMaximumAge(int days)

  Description copied from interface: `LoggingService`
  Set the maximum event age in days.

  The event is guaranteed to be kept in the log for at least this number of days. After this period the event will be eligible for `purge`.

  Specified by:
    `setMaximumAge` in interface `LoggingService`
  Parameters:
    `days` - the maximum event age in days

### instantiateLogEvent

    public LogEvent instantiateLogEvent()

  Specified by:
    `instantiateLogEvent` in interface `LoggingService`

### createLogEvent

    protected LogEvent createLogEvent()

### log

    public void log(LogEvent event)

  Specified by:
    `log` in interface `LoggingService`

### update

    public void update(LogEvent event)

  Specified by:
    `update` in interface `LoggingService`

### prepareForSave

    protected void prepareForSave(LogEvent event)

### purge

    public void purge()

  Description copied from interface: `LoggingService`
  Purges events that surpassed the `maximum age`.

  Specified by:
    `purge` in interface `LoggingService`
  See Also:
    `LoggingService.setMaximumAge(int)`

### delete

    public void delete(ExecutionContext context,
                       long[] eventIds)

  Specified by:
    `delete` in interface `LoggingService`

### getUserEvents

    public java.util.List getUserEvents(ExecutionContext context)

  Specified by:
    `getUserEvents` in interface `LoggingService`

### getUnreadEvents

    public java.util.List getUnreadEvents(ExecutionContext context)

  Specified by:
    `getUnreadEvents` in interface `LoggingService`

### getLogEvent

    public LogEvent getLogEvent(ExecutionContext context,
                                long id)

  Specified by:
    `getLogEvent` in interface `LoggingService`

### getUserEventsCount

    public int getUserEventsCount(ExecutionContext context)

  Specified by:
    `getUserEventsCount` in interface `LoggingService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.